Podem, ainda, obter-se e “desenhar-se” os intervalos de confiança (upIC e loIC) que se calculam através de *ŷ* ±*t*⋅*se*(*Y*), recorrendo às funções qt (para obter os valores “teóricos” de t-Student e cujos parâmetros são \(1−\frac{\alpha}{2}\), neste caso 0.975, e os graus de liberdade do erro, que se obtêm de summary(ajuste)\$df[2]), summary(ajuste)\$sigma para obter o erro-padrão das estimativas e lines, respectivamente (Figura

```
> upIC<-PropEsp+qt(.975,summary(ajuste)\$df[2])\*summary(ajuste)\$sigma
> loIC<-PropEsp-qt(.975,summary(ajuste)\$df[2])\*summary(ajuste)\$sigma
> lines(upIC\~seq(0,1000,length=100),col=4)
> lines(loIC\~seq(0,1000,length=100),col=4)
```


O modo mais simples de “testar” a bondade do ajuste é representar graficamente os dados e o modelo ajustado (bem como os respetivos intervalos de confiança), de modo a verificar (visualmente) se os parâmetros obtidos numericamente descrevem, de facto, a relação entre variáveis (Figura c). Por outro lado, a análise gráfica dos resíduos, e.g. resíduos *vs.* valores observados de *X*, permite “verificar” se o modelo é adequado (os resíduos representam apenas o erro experimental se não apresentam tendências ou padrões). Sendo assim, obter os resíduos através de

```
> residuos
> summary(ajuste)\$resid
```

e, em seguida, representar esse gráfico em conjunto com o *normal probability plot* dos resíduos (Figura )

```
> par(mfrow=c(2,1),pty=“s”,las=1)
> plot(residuos\~predict(ajuste),pch=16,col=3,xlab="E{Proporção de respostas corretas}“,ylab=”Resíduos")
> abline(h=0)
> qqnorm(residuos,pch=16,col=2,xlab= “Quantis da Distribuição Normal”,
> ylab=“Quantis Amostrais”,main=“”)
> qqline(residuos)
> par(op)
```


&gt;
&gt; O comando par permite estabelecer o “esquema” da figura, neste caso,
&gt; os gráficos ficam “arranjados” em 2 linhas por 1 coluna – mfrow=c(2,1)
&gt; –, assim como definir a respectiva forma (quadrada, através de pty=“s”
&gt; - “s” de “square”). Ao gráfico dos resíduos *vs.* valores esperados de
&gt; Prop (através de plot) acrescentámos uma linha horizontal ao nível de
&gt; zero (através de abline) e, por fim, desenhamos o *normal probability
&gt; plot* dos resíduos (com qqnorm e qqline).

