É possível ilustrar o ajuste, obtendo primeiro as estimativas da variável Prop (através da função predict) e “desenhando-as”, em seguida, sobre o gráfico entretanto obtido (Figura 2) ou seja

&gt; &gt; PropEsp&lt;-predict(ajuste,newdata=list(CO2=seq(0,1000,length=100)),se.fit=T)
&gt; &gt; lines(PropEsp\~seq(0,1000,length=100),lwd=2,col=6)

A informação contida no objecto ajuste permite obter as estimativas para 100 valores de CO2 entre 0 e 1000 (daí o parâmetro seq(1,1000,length=100) no comando acima) assim como os respectivos erros-padrão (se.fit=T) que serão guardadas no objecto designado PropEsp. A adição duma linha espessa e magenta (lwd=2 e col=6) à Figura a é relativamente fácil (Figura b).

Figure 3 Aspecto da execução de comandos e respectivos resultados na
janela *R Console*.

Podem, ainda, obter-se e “desenhar-se” os intervalos de confiança (upIC e loIC) que se calculam através de *ŷ* ±*t*⋅*se*(*Y*), recorrendo às funções qt (para obter os valores “teóricos” de t-Student e cujos
parâmetros são 1 − *α* ⁄ 2, neste caso 0.975, e os graus de liberdade do erro, que se obtêm de summary(ajuste)\$df[\[]{}2[\]]{}), summary(ajuste)\$sigma para obter o erro-padrão das estimativas e lines, respectivamente (Figura

&gt; &gt;
&gt; upIC&lt;-PropEsp+qt(.975,summary(ajuste)\$df[\[]{}2[\]]{})\*summary(ajuste)\$sigma
&gt;
&gt; &gt;
&gt; loIC&lt;-PropEsp-qt(.975,summary(ajuste)\$df[\[]{}2[\]]{})\*summary(ajuste)\$sigma
&gt;
&gt; &gt; lines(upIC\~seq(0,1000,length=100),col=4)
&gt;
&gt; &gt; lines(loIC\~seq(0,1000,length=100),col=4)
&gt;
&gt; O modo mais simples de “testar” a bondade do ajuste é representar
&gt; graficamente os dados e o modelo ajustado (bem como os respectivos
&gt; intervalos de confiança), de modo a verificar (visualmente) se os
&gt; parâmetros obtidos numericamente descrevem, de facto, a relação entre
&gt; variáveis (Figura c). Por outro lado, a análise gráfica dos resíduos,
&gt; e.g. resíduos *vs.* valores observados de *X*, permite “verificar” se
&gt; o modelo é adequado (os resíduos representam apenas o erro
&gt; experimental se não apresentam tendências ou padrões). Sendo assim,
&gt; obter os resíduos através de
&gt;
&gt; &gt; residuos&lt;-summary(ajuste)\$resid
&gt;
&gt; e, em seguida, representar esse gráfico em conjunto com o *normal
&gt; probability plot* dos resíduos (Figura )
&gt;
&gt; &gt; op&lt;-par(mfrow=c(2,1),pty=“s”,las=1)
&gt;
&gt; &gt; plot(residuos\~predict(ajuste),pch=16,col=3,xlab="E{Proporção de
&gt; respostas
&gt;
&gt; correctas}“,ylab=”Resíduos")
&gt;
&gt; &gt; abline(h=0)
&gt;
&gt; &gt; qqnorm(residuos,pch=16,col=2,xlab= “Quantis da Distribuição
&gt; Normal”,
&gt;
&gt; ylab=“Quantis Amostrais”,main=“”)
&gt;
&gt; &gt; qqline(residuos)
&gt;
&gt; &gt; par(op)
&gt;
&gt; O comando par permite estabelecer o “esquema” da figura, neste caso,
&gt; os gráficos ficam “arranjados” em 2 linhas por 1 coluna – mfrow=c(2,1)
&gt; –, assim como definir a respectiva forma (quadrada, através de pty=“s”
&gt; - “s” de “square”). Ao gráfico dos resíduos *vs.* valores esperados de
&gt; Prop (através de plot) acrescentámos uma linha horizontal ao nível de
&gt; zero (através de abline) e, por fim, desenhamos o *normal probability
&gt; plot* dos resíduos (com qqnorm e qqline).

