Na consola do R escrever (fazendo Enter no fim),

```
> dados<-read.table(file="G:/MyArticles/ArtigosRegressaoNaoLinearExcel/RegressaoNaoLinear.txt“,header=T,sep=”\\t")
```

para “carregar” a informação contida no ficheiro RegressaoNaoLinear.txt para o objecto dados. (atente-se na notação >). Os parâmetros header e sep permitem considerar os rótulos dos dados e o tipo de ficheiro de texto (neste caso separado por tabulações), respectivamente. Por sinal, a quantidade de dados envolvida poderia muito bem ser introduzida directamente no R através de

```
> CO2<-c(141,172,181,227,309,414,641, 936)
> Prop<-c(0.25,0.34,0.34,0.68,0.85,0.99,0.98,0.99)
```

em que c(…) permite concatenar um conjunto de dados num objecto (neste caso, CO2 e Prop). Podemos visualizar a informação usando a função plot
```
> plot(Prop~CO2, las=1,xlim=c(0,1000),ylim=c(0,1),pch=16,cex=1.5, xlab=“CO2 (ppm)”, ylab=“Proporção de respostas correctas”)
```
em que Prop~CO2 descreve o “modelo” que se pretende representar (neste caso Prop em função de CO2) e cujos restantes parâmetros especificam as várias características do gráfico (las para orientação dos rótulos do eixo dos *yy*, xlim e ylim para determinar os limites dos eixos, pch para definir o símbolo usado, cex para aumentar o tamanho relativo dos caracteres, e xlab e ylab para “legendar” os eixos) (Figura a). Para mais informações acerca desta (ou qualquer outra) função pode fazer-se
```
> plot
```
(ou então procurar com >help.search(“termo”) ou, ainda, usar a opção Help> Apropos…). Usando o botão direito do rato sobre o gráfico, é possível copiar a figura (como metaficheiro Windows® por exemplo) para inclusão num ficheiro do Microsoft Word®.
Admita-se (por razões científicas) que um modelo “dose-resposta” (logístico modificado)
\(P_{\left\{i\right\}}=\frac{1}{3}+\frac{\exp\left(B\left(T-\log\left(x\right)\right)\right)}{\left(1+\exp\left(T-\log\left(x\right)\right)\right)}\) em  que *Pi* é a proporção de respostas positivas do provador *i*, *log*(*x*) é o logaritmo do valor do estímulo *x* , *B* é o “declive” e *T* é o limiar para o provador *i* (em *log*(*x*)), é adequado para
descrever os dados. Para ajustar o modelo basta fazer
```
> ajuste<-nls(Prop~1/3+exp(B(T-log10(CO2)))/(1+exp(B(T-log10(CO2)))),data=data.frame(CO2=CO2,Prop=Prop),start=list(B=-10,T=2.5))
```
em que o objecto ajuste incluirá os resultados duma regressão &gt; não-linear (através da função nls) - outras funções (muito) usadas são lm e aov para regressão linear (i.e. modelos lineares) e análise de variância, respectivamente - do modelo - a definição dos modelos em S está minuciosamente descrita em \cite{Chambers_1990}  Prop~(1/3+exp(B\*(T-log10(CO2))))/(1+exp(B\*(T-log10(CO2))) considerando os dados (indicados para o parâmetro data sob a forma de uma data.frame - neste caso, considerou-se que o utilizador introduziu directamente no sistema os dados ao invés de “carregar” o ficheiro dos dados (sendo que bastaria apenas indicar data=dados, no comando) - e as estimativas iniciais dos parâmetros do modelo descritas em start (através duma list). Os resultados do ajuste (Figura 2) podem ser consultados fazendo
```
> summary(ajuste)
```

