É possível testar se os resíduos se distribuem normalmente através, por
exemplo, de

> &gt; shapiro.test(residuos)
>
> O resultado deste comando é
>
> Shapiro-Wilk normality test
>
> data: residuos
>
> W = 0.936, p-value = 0.5719
>
> O teste de sequências (ou “runs test” nos manuais anglófonos) permite
> testar, de forma simples e robusta, se os pontos (dados) diferem
> sistematicamente da curva ajustada (modelo) complementando a
> informação do diagrama dos resíduos *vs* valores observados de *X*.
> [\[]{} alerta para a reduzia potência estatística do testes baseados
> em sequências. No R, será necessário carregar alguns pacotes, tseries,
> quadprog e zoo (previamente instalados, através da barra de
> ferramentas, a partir dos ficheiros \*.zip disponíveis para o Windows®
> em http://cran.at.r-project.org/bin/windows/contrib/) fazendo e.g.
>
> &gt; library(tseries)
>
> Depois basta fazer
>
> &gt; runs.test(factor(sign(residuos)))
>
> para se obter o seguinte resultado
>
> Runs Test
>
> data: factor(sign(residuos))
>
> Standard Normal = 0.5774, p-value = 0.5637
>
> alternative hypothesis: two.sided
>
> Pode comparar-se o ajuste de dois modelos distintos a um dado conjunto
> de dados confrontando as SQE dos modelos ajustados através do teste de
> F. Sendo assim, depois de ajustar um modelo logístico,
> *ŷ* = *C* ⁄ [\[]{}1 + *Aexp*( − *Bx*)[\]]{} (Figura
> d) [\[]{}F[\]]{}  [\[]{}F[\]]{} Esta figura foi obtida através de
>
> &gt; plot(Prop\~CO2,las=1,xlim=c(0,1000), ylim=c(0,1),pch=16,cex=1.5,
> xlab=“CO2 (ppm)”,ylab="Propor
>
> ção de respostas correctas")
>
> &gt; PropEsper&lt;-predict(ajustes,newdata=
> list(CO2=seq(0,1000,length=100)),se.fit=T)
>
> &gt; lines(PropEsper\~seq(0,1000,length= 100),lwd=2,col=6)
>
> &gt; uppIC&lt;-PropEsper+qt(.975,summary(
> ajustes)\$df[\[]{}2[\]]{})\*summary(ajustes)\$sigm
>
> &gt; lowIC&lt;-PropEsper-qt(.975,summary(
> ajustes)\$df[\[]{}2[\]]{})\*summary(ajustes)\$sigm
>
> &gt; lines(uppIC\~seq(0,1000,length=100), col=4)
>
> &gt; lines(lowIC\~seq(0,1000,length=100), col=4)
>
> , de formulação mais generalizada do que o modelo “dose-resposta”
> anterior, através de
>
> &gt; ajustes&lt;-nls(Prop\~C/(1+A\*exp(-B\*CO2
> )),data=data.frame(CO2=CO2,Prop=Prop),
>
> start=list(A=10,B=.0025,C=1))
>
> &gt; summary(ajustes)
>
> os resultados do teste de F obtêm-se facilmente através de
>
> &gt; anova(ajuste,ajustes)
>
> Os passos descritos anteriormente, i.e. uma sessão de trabalho (Figura
> ), podem (e, na minha opinião, devem) ser “guardados”. Para isso,
> criar um ficheiro de *script* (através de File&gt;New script), de
> facto um ficheiro texto, onde são “guardados” os comandos. Este
> ficheiro pode ser carregado noutra sessão de trabalho (através de
> File&gt;Open script…) e as análises e gráficos podem ser repetidos
> n-vezes (janela *R Editor*). O *script* do exemplo descrito aqui pode
> ser obtido no sítio electrónico do autor.

Para terminar uma sessão de trabalho, primeiro “limpar” da memória os
objectos criados (com a função rm) e, depois, encerrar o programa
(geralmente não guardo uma “imagem” do ambiente de trabalho):

> &gt; rm(list=ls()) ; q()

Figure 5 Aspecto duma sessão de trabalho no R.

> Considerações finais
>
> As “dificuldades estatísticas” relacionadas com a utilização do Excel®
> da Microsoft (e da respectiva ferramenta Solver®) para análise de
> regressão não-linear [\[]{} limitam a sua utilização aos casos “mais
> simples” ou para efeitos pedagógicos. Em situações “profissionais”
> deve usar-se software dedicado, por exemplo SPSS® ou R.

Embora as características do R tornem (mais) difícil a aprendizagem, o
seu carácter gratuito, o facto de ser uma ferramenta bastante poderosa
com boas capacidades ao nível da programação e um conjunto bastante
vasto (e em constante crescimento) de *packages* que acrescentam
bastantes potencialidades estatísticas e gráficas, o crescente interesse
de utilizadores das mais variadas formações (que se reúnem anualmente
desde 2004 nas conferências useR! – em 2011 a useR!2011 decorrerá no
Reino-Unido, *cf*. <http://www.warwick.ac.uk/statsdept/useR-2011/>) e a
disponibilidade dos promotores (R Development Core Team) e da
“comunidade” de utilizadores, mais ou menos avançados, ajudam (e muito)
esse processo. Os vários manuais
(<http://cran.r-project.org/manuals.html>), a página wiki
(<http://wiki.r-project.org/>) e a *mailing list* de ajuda
(<http://stat.ethz.ch/mailman/listinfo/r-help>) permitem ultrapassar a
(esmagadora) maioria das dificuldades surgidas durante a utilização do
R.

> Agradecimentos
>
> Este artigo muito beneficiou dos comentários, correcções e sugestões
> dos colegas e leitores.
>
> References
>
> [\[]{}1[\]]{} A. M. Brown: “A step-by-step guide to non-linear
> regression analysis of experimental data using a Microsoft Excel
> spreadsheet”, *Computer methods and Programs in Biomedicine*, pp.
> 191-200, 2001.
>
> [\[]{}2[\]]{} John M. Chambers, Trevor J. Hastie: *Statistical models
> in S*. Chapman & Hall, 1992.
>
> [\[]{}3[\]]{} W.J. Conover: *Practical nonparametric statistics*. John
> Wiley & Sons. Inc., 1999.
>
> [\[]{}4[\]]{} M.J. Crawley: *The R book*. Wiley, 2007. URL
> <http://www.google.com/books?id=8D4HVx0apZQC>.
>
> [\[]{}5[\]]{} Peter Dalgaard: *Introductory statistics with R*.
> Springer-Verlag New York Inc., 2002.
>
> [\[]{}6[\]]{} E. Esteves: *Regressão não-linear utilizando a
> ferramenta Solver® do Microsoft Excel®*. 2010. URL
> <http://w3.ualg.pt/~eesteves.>.
>
> [\[]{}7[\]]{} R Development Core Team: *R: A Language and Environment
> for Statistical Computing*. 2007. URL
> [http://www.R-project.org](http://www.R-project.org/). ISBN
> 3-900051-07-0.
>
> [\[]{}8[\]]{} L. Torgo: *Introdução à programação em R.*. 2006.
>
> [\[]{}9[\]]{} W. N. Venables, D. M. Smith, R Development Core Team:
> *An Introduction to R (Notes on R: A Programming Environment for Data
> Analysis and Graphics)*. The R Foundation for Statistical Computing,
> 2006. URL <http://cran.r-project.org/doc/manuals/R-intro.pdf>.
>
> [\[]{}10[\]]{} W.P. Bowen, J.C. Jerman: “Nonlinear regression using
> spreadsheets”, *Trends in Pharmacological Sciences*, pp. 413-417,
> 1995.